module.exports = {
  rules: {
    'brace-style': ['error', 'stroustrup', { allowSingleLine: true }],
    'class-methods-use-this': 'off',
    'function-paren-newline': 'off',
    // 'import/no-extraneous-dependencies': ['error', { 'packageDir': './node_modules/config-oclock' }],
    'max-len': ['error', { ignorePattern: '\\s*<|\\s*className|^import|^\\s*\\{.*\\},$' }],
    'no-console': 'off',
    'no-debugger': 'warn',
    'no-irregular-whitespace': ['error', { skipTemplates: true }],
    'no-mixed-operators': ['error', { allowSamePrecedence: true }],
    'no-param-reassign': ['error', { props: false }],
    'no-plusplus': ['error', { allowForLoopAfterthoughts: true }],
    'no-trailing-spaces': ['error', { skipBlankLines: true }],
    'no-underscore-dangle': 'off'
  }
};
