module.exports = {
  parser: 'babel-eslint',

  extends: [
    'eslint-config-airbnb',
    './style.js',
    './react.js',
    './jsx-a11y.js'
  ],

  rules: {},

  env: {
    browser: true,
    node: true
  },

  parserOptions: {
    ecmaFeatures: {
      experimentalObjectRestSpread: true,
      jsx: true
    }
  },

  settings: {
    "import/core-modules": [
      "chai",
      "supertest",
      "sinon",
      "enzyme",
      "enzyme-redux",
      "redux-test-utils",
    ],
  }
};
